Main Page Class Hierarchy Compound List File List Compound Members File Members

# rw_strongmotion.c File Reference

`#include <stdio.h>`
`#include <string.h>`
`#include <time.h>`
`#include <chron3.h>`
`#include <time_ew.h>`
`#include <rw_strongmotion.h>`

Go to the source code of this file.

## Functions
void | logit (char *, char *,...)
int | strappend (char *s1, int s1max, char *s2)
int | tokenlength (char *begtok, char c)
int | rd_strongmotion (char *msg, int msglen, SM_DATA *sm)
int | wr_strongmotion (SM_DATA *sm, char *buf, int buflen)
void | log_strongmotion (SM_DATA *sm)
## Variables
char * | sNullDate = "0000/00/00 00:00:00.00"

## Function Documentation

void log_strongmotion | ( | SM_DATA * | sm | ) |

| Definition at line 402 of file rw_strongmotion.c. References _SM_CHAN::acc, _SM_DATA::altcode, _SM_DATA::ch, _SM_CHAN::comp, datestr23(), _SM_CHAN::disp, _SM_CHAN::freq, _SM_CHAN::loc, logit(), _SM_DATA::nch, _SM_CHAN::net, _SM_CHAN::nRSA, _SM_CHAN::RSA, _SM_DATA::sn, _SM_CHAN::sta, _SM_DATA::talt, _SM_DATA::tfield, _SM_DATA::tload, _SM_CHAN::vel, and _SM_DATA::vendor.

void logit | ( | char * | ,
|  | char * | ,
|  | ... |
| ) |

| Definition at line 396 of file logit.c.

int rd_strongmotion | ( | char * | msg,
|  | int | msglen,
|  | SM_DATA * | sm
| ) |

| Definition at line 46 of file rw_strongmotion.c. References _SM_CHAN::acc, _SM_DATA::altcode, _SM_DATA::ch, _SM_CHAN::comp, _SM_CHAN::disp, _SM_CHAN::freq, _SM_CHAN::loc, _SM_DATA::nch, _SM_CHAN::net, _SM_CHAN::nRSA, _SM_CHAN::RSA, SM_COMP_LEN, SM_LOC_LEN, SM_MAX_RSA, SM_NET_LEN, SM_STA_LEN, SM_VENDOR_LEN, _SM_DATA::sn, _SM_CHAN::sta, _SM_DATA::talt, _SM_DATA::tfield, timegm(), _SM_DATA::tload, tokenlength(), _SM_CHAN::vel, and _SM_DATA::vendor.

int strappend | ( | char * | s1,
|  | int | s1max,
|  | char * | s2
| ) | `[static]`

| Definition at line 491 of file rw_strongmotion.c.

int tokenlength | ( | char * | begtok,
|  | char | c
| ) | `[static]`

| Definition at line 504 of file rw_strongmotion.c.

int wr_strongmotion | ( | SM_DATA * | sm,
|  | char * | buf,
|  | int | buflen
| ) |

| Definition at line 286 of file rw_strongmotion.c. References _SM_CHAN::acc, _SM_DATA::altcode, _SM_DATA::ch, _SM_CHAN::comp, datestr23(), _SM_CHAN::disp, _SM_CHAN::freq, _SM_CHAN::loc, _SM_DATA::nch, _SM_CHAN::net, _SM_CHAN::nRSA, _SM_CHAN::RSA, SM_MAX_CHAN, SM_MAX_RSA, _SM_DATA::sn, _SM_CHAN::sta, strappend(), _SM_DATA::talt, _SM_DATA::tfield, _SM_DATA::tload, _SM_CHAN::vel, and _SM_DATA::vendor.

## Variable Documentation

char* sNullDate = "0000/00/00 00:00:00.00"`[static]`

| Definition at line 38 of file rw_strongmotion.c.